Bug 1128275 - openshift.sh does not accept rhn passwords with a '$' in them
Summary: openshift.sh does not accept rhn passwords with a '$' in them
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 2.1.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: ---
Assignee: Miciah Dashiel Butler Masters
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-08 18:46 UTC by Jason DeTiberus
Modified: 2015-09-18 20:15 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-18 20:15:57 UTC


Attachments (Terms of Use)

Description Jason DeTiberus 2014-08-08 18:46:44 UTC
Description of problem:
RHN passwords including a '$' character passed into openshift.sh

Comment 2 Luke Meyer 2014-08-08 19:14:19 UTC
https://github.com/openshift/openshift-extras/blob/2594ab0b36d6a653438d57f40a12a5398c48714b/enterprise/install-scripts/generic/openshift.sh#L522-L525

bash scripts where you have to place these in various contexts (cmdline, XML, ...) make non-alpha really hard to handle. Granted it's kinda lame but... a priority?

Comment 3 Jason DeTiberus 2014-08-08 19:27:10 UTC
Not really a priority, just wanted to track it as a "known issue" so to speak, also there is a difference between the service passwords (that are set at install time) and the users RHN password that is pre-configured.

Comment 4 Miciah Dashiel Butler Masters 2014-08-11 13:24:44 UTC
Is there a reason we use eval in configure_rhn_channels? Do we really want CONF_RHN_REG_OPTS to be interpreted as shell code? If not, this should be trivial to fix.

Comment 5 Luke Meyer 2014-08-11 13:38:51 UTC
(In reply to Miciah Dashiel Butler Masters from comment #4)
> Is there a reason we use eval in configure_rhn_channels?

I probably wrote it that way, and it was probably me not really understanding bash syntax. What we really want is CONF_RHN_REG_OPTS being interpreted as the multiple args it is likely to be, not munged by bash into some kind of single argument monster, which is what seems to happen when I do this naively. Can't remember if there were other considerations; probably not.

Comment 6 Miciah Dashiel Butler Masters 2014-12-03 00:02:03 UTC
PR: https://github.com/openshift/openshift-extras/pull/507

Comment 8 Miciah Dashiel Butler Masters 2015-09-18 20:15:57 UTC
This is fixed in <https://github.com/openshift/openshift-extras/blob/enterprise-2.2/enterprise/install-scripts/generic/openshift.sh> and in the openshift.sh script that is included in the current oo-install archive, <https://install.openshift.com/ose-2.2/oo-install-ose-2.2-20150825-1235.tgz>.


Note You need to log in before you can comment on or make changes to this bug.